# API create QR

Endpoint URL:<https://uat-pms.galaxypay.vn/api-ex/qrpayment/create>

#### Request Message

```

curl --location 'https://uat-pms.galaxypay.vn/api-ex/qrpayment/create' \
--header 'X-Caller: YOUR_CALLER_ID' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Signature: c9656c694bba19c50df209d74686cc19d4f3569709e6e7d65452a8b5cd62d90a' \
--header 'Content-Type: application/json' \
--header 'Cookie: SESSION=ZGJhNjEwODYtZTE5Mi00NTg0LTlhY2MtZGU5ODBjMzkxZWQw' \
--data '{
    "requestId":"cd80bae6-3d24-44a8-9760-71b3e17fe27c",
    "amount": 20000,
    "description":"Thanh toan paylater VJ",
    "merchantName":"VIETJET",
    "merchantData":{
        "note":"QPRD12"
    },
     "ipnUrl":"https://ipn.vietjet.io"
}

```

#### Response Message

```
{
    "requestId": "cd80bae6-3d24-44a8-9760-71b3e17fe27c",
    "responseDateTime": "20230227231841",
    "responseCode": "200",
    "responseData": {
        "orderNo": "202302271677514721495",
        "qrInfo": "00020101021238580010A000000727012800069704540114998001900012330208QRIBFTTA53037045405200005802VN62230819Thanh toan paylater63049100",
        "bankId": "VCCB",
        "bankName": "Ngân hàng TMCP Bản Việt",
        "binCode": "970454",
        "bankAccountNo": 99800190001233,
        "bankAccountName": "GALAXY VIETJET"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.galaxypay.vn/upc/archive/qr-payment-old-version/api-create-qr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
